Apache Struts 2 Multipart File Upload Remote Code Execution Exploit

Remote Code Execution when performing file upload based on Jakarta Multipart parser.
Platform: 
Vulnerabilty ID: 
CVE-2017-5638
Product Version: 
2017_R1
Released Date: 
Thursday, March 9, 2017 - 00:00